Get purchased item
After you order imaging data from a catalog using the purchaseCatalogItems operation, it can take some time to process the order and deliver the imaging products.
During this time, you can call the getPurchasedItem operation to check on the status of your order.
To check on the order, you need to have the PURCHASE_ID of the order (which is returned in the response to the purchaseCatalogItems operation).
The purchase status can have one of the following values:
| Purchase status | Description |
|---|---|
|
The order has been received, but order processing has not started. |
|
The order is being processed. |
|
The order has been processed and the image products have been delivered. |
|
The order was canceled by the customer. |
|
The order could not be fulfilled or an error occurred. |
Example
Request
Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:
curl --location "${API_BASE_URL}/api/catalog/v1/purchases/${PURCHASE_ID}" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}"
Response
On success, returns a 200 status code and a JSON object containing the status of the purchased item.
{
"id": "766cc4d6-7754-448e-9c6c-0ef3d209d65e",
"customerName": "ICEYE",
"contractName": "ICEYE",
"createdAt": "2024-04-23T11:40:57.484585Z",
"status": "active",
"reference": "purchase reference 123-456"
}